﻿@model InferenceData
<br />
<div class="col-md-1"></div>
<div class="col-md-10">
    <div class="box box-primary">
        <div class="box-header with-border">
            <h3 class="box-title">Single Test</h3>
        </div>
        <!-- /.box-header -->
        <!-- form start -->
        <form role="form" method="get" asp-controller="TrainedTaxonomy" asp-action="TestSingle">

            <input type="hidden" name="id" value="@Model.RootId" />


            <div class="box-body">
                <div class="form-group">
                    <label for="text">Text</label>
                    <input class="form-control" id="text" name="text" value="@ViewData["InputValue"]">
                </div>

            </div>
            <!-- /.box-body -->

            <div class="box-footer">
                <button type="submit" class="btn btn-primary">Submit</button>
            </div>
        </form>

        @*@if (Model.Id != null)
        {
            <p>@string.Join(" -> ", Model.PathToLeaf)</p>

        }*@
    </div>
    @if (Model.Id != null)
    {
        <div class="box box-success">
            <div class="box-header with-border"><h3 class="box-title">Path</h3></div>
            <div class="box-body">
                <table class="table table-bordered">
                    <thead>
                        <th>Path</th>
                        <th>Hit?</th>
                    </thead>
                    @for (var i = 0; i < Model.ThresholdHit.Count(); i++)
                    {
                        <tr>
                            <td>@Model.PathToLeaf[i]</td>
                            <td>@Model.ThresholdHit[i]</td>
                        </tr>
                    }

                </table>
                
            </div>
        </div>
    }

</div>
<div class="col-md-1"></div>